geos::operation::overlay::snap::LineStringSnapper Class Reference

Snaps the vertices and segments of a LineString to a set of target snap vertices. More...

`#include <LineStringSnapper.h>`

## Public Member Functions

| LineStringSnapper (const geom::CoordinateSequence &nSrcPts, double nSnapTol)
std::unique_ptr< geom::CoordinateSequence > | snapTo (const geom::Coordinate::ConstVect &snapPts)
void | setAllowSnappingToSourceVertices (bool allow)

## Detailed Description

Snaps the vertices and segments of a LineString to a set of target snap vertices.

A snapping distance tolerance is used to control where snapping is performed.

## Constructor & Destructor Documentation

## LineStringSnapper()

geos::operation::overlay::snap::LineStringSnapper::LineStringSnapper | ( | const geom::CoordinateSequence & | nSrcPts,
|  | double | nSnapTol )

inline

Creates a new snapper using the given points as source points to be snapped.

Parameters

  nSrcPts | the points to snap
  nSnapTol | the snap tolerance to use

The documentation for this class was generated from the following file:

- LineStringSnapper.h